Name: lockdev
Version: 1.0.1
Release: alt2

%define soname lib%name.so.%(echo %version | cut -f1 -d.)

Summary: A library for locking devices
License: LGPL
Group: System/Libraries

Url: http://packages.debian.org/unstable/libs/liblockdev1.html
Source: http://ftp.debian.org/debian/pool/main/l/lockdev/lockdev_%version.orig.tar.gz

Patch0: %name-1.0.0-rh-baudboy.patch
Patch1: %name-1.0.0-rh-signal.patch
Patch2: %name-1.0.0-alt-serial.patch
Patch3: %name-1.0.0-rh-cli.patch
Patch4: %name-1.0.1-rh-checkname.patch
Patch5: %name-1.0.1-alt-warnings.patch

Requires: lib%name = %version-%release
PreReq: /var/lock/serial

# Automatically added by buildreq on Tue Nov 11 2003
BuildRequires: perl-devel

%description
Lockdev provides a reliable way to put an exclusive lock to devices
using both FSSTND and SVr4 methods.

%package -n lib%name
Summary: A library for locking devices
Group: System/Libraries

%description -n lib%name
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.

%package -n lib%name-devel
Summary: The header files and a static library for the lockdev library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods. The liblockdev-devel
package contains the development headers.

%package perl
Summary: Perl interface for the lockdev library
Group: Development/Perl
Requires: lib%name = %version-%release

%description perl
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.  This package contains
a Perl module that provides interface to the library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
here=$PWD
export LD_LIBRARY_PATH=$here
%define cflags %optflags -D_GNU_SOURCE -D_REENTRANT -I$here/src -Werror
%define ldflags -L$here -l%name

# shared library
gcc %cflags %optflags_shared src/lockdev.c -shared -Wl,-soname=%soname -o %soname
%__ln_s %soname lib%name.so

# binary
gcc %cflags src/sample.c -o lockdev %ldflags

# perl library
cd LockDev
%perl_vendor_build MYEXTLIB="%ldflags"

%install
%__mkdir_p %buildroot%_libdir/
%__cp -a lib%name.so* %buildroot%_libdir/

%__mkdir_p %buildroot%_sbindir/
%__cp -a lockdev %buildroot%_sbindir/

%__mkdir_p %buildroot%_includedir/
%__cp -a src/*.h %buildroot%_includedir/

%__mkdir_p %buildroot%_man3dir/
%__cp -a docs/lockdev.3 %buildroot%_man3dir/

cd LockDev
%perl_vendor_install

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%attr(2711,root,uucp) %_sbindir/lockdev

%files perl
%perl_vendor_archlib/LockDev*
%perl_vendor_autolib/LockDev*
%perl_vendor_man3dir/LockDev*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/%name.*

%changelog
* Tue Nov 11 2003 Alexey Tourbin <at@altlinux.ru> 1.0.1-alt2
- eliminated text relocations in shared library
- warnings fixed, built with -Werror

* Thu Oct 30 2003 Alexey Tourbin <at@altlinux.ru> 1.0.1-alt1
- 1.0.1
- cli.patch and checkname.patch from RH
- abandon makefiles, custom build with direct commands
- %name-perl packaged, lib%name-devel-static not packaged

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.0-alt1
- First build for Sisyphus

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun  5 2002 Jeff Johnson <jbj@redhat.com> 1.0.0-19
- fix: don't ignore signals, use default behavior instead (#63468).

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Feb 25 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.0-16
- include liblockdev.so so that programs can link to a shared liblockdev
- fix shared library version numbers

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 29 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0.0-16
- Rebuilt

* Fri Oct 26 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0.0-15
- Add copyright/license info to baudboy.h (#54321)

* Tue Sep  4 2001 Jeff Johnson <jbj@redhat.com>
- swap egid and gid for lockdev's access(2) device check (#52029).

* Tue Aug 28 2001 Jeff Johnson <jbj@redhat.com>
- typo in include file (#52704).
- map specific errno's into status for return from helper.

* Tue Aug 14 2001 Jeff Johnson <jbj@redhat.com>
- set exit status correctly.

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- check that we can open the device r/w before locking
- fix calling lockdev without any arguments
- fix waitpid() call in baudboy.h
- use umask(002), not umask(0)

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- add lock group here, own /var/lock as well

* Sun Aug  5 2001 Jeff Johnson <jbj@redhat.com>
- include setgid helper binary and baudboy.h.

* Mon Jun 18 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make the -devel depend on the main package

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- add %%defattr for -devel

* Sat Jun 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_mandir}

* Thu May 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
